package com.platform.modules.qk.dto;

public class Effects {
//    特效类型。取值：
//    Text（横幅文字：视频素材）,
//    DeWatermark（遮标：视频素材）
    private String Type;
//    特效名称
    private String Name;
//    特效子类型。
//    当Type为DeWatermark时，SubType取值为Delogo_Blur
    private String SubType;
//    特效相对于素材片段的入点。单位：秒，精确到小数点后4位
    private Float In;
//    特效相对于素材片段的出点。单位：秒，精确到小数点后4位
    private Float Out;
//特效相对于时间线的入点。单位：秒，精确到小数点后4位
    private Float TimelineIn;
//特效相对于时间线的出点。单位：秒，精确到小数点后4位
    private Float TimelineOut;
//相对画面TopLeft的偏移位置x坐标。
//    值有两种形式：
//    整数型表示像素值，范围[8,4096]，单位px；
//    小数型代表相对输出视频分辨率宽的比率，范围（0,1）,支持4位小数，如0.9999，超出部分系统自动丢弃。
    private String X;
//    相对画面TopLeft的偏移位置y坐标。
//    值有两种形式：
//    整数型表示像素值，范围[8,4096]，单位px；
//    小数型代表相对输出视频分辨率高的比率，范围（0,1）,支持4位小数，如0.9999，超出部分系统自动丢弃。
    private String Y;
//    特效区域的宽。
//    值有两种形式：
//    整数型表示像素值，范围[8,4096]，单位px；
//    小数型代表相对输出视频分辨率宽的比率，范围（0,1）,支持4位小数，如0.9999，超出部分系统自动丢弃。
    private Integer Width;
//    特效区域的高。
//    值有两种形式：
//    整数型表示像素值，范围[8,4096]，单位px；
//    小数型代表相对输出视频分辨率宽的比率，范围（0,1）,支持4位小数，如0.9999，超出部分系统自动丢弃。
    private Integer Height;
//    剪辑时，视频画面的实际显示宽。单位是px
    private Float FEWidth;
//    剪辑时，视频画面的实际显示高。单位是px
    private Float FEHeight;
//  字体。取值：SimSun（宋体）
    private String Font;
//    字体外观。具体参见[FontFace]（#FontFace）
    private FontFace FontFace;
//FontColor   String   字体颜色，格式为#后跟16进制值。例如：#ffffff
    private String FontColor;
//字体大小
    private Integer FontSize;
//字体透明度。取值0-1。1为不透明，0为完全透明
    private Float FontColorOpacity;
//横幅文字内容
    private String Content;

    public String getType() {
        return Type;
    }

    public void setType(String type) {
        Type = type;
    }

    public String getName() {
        return Name;
    }

    public void setName(String name) {
        Name = name;
    }

    public String getSubType() {
        return SubType;
    }

    public void setSubType(String subType) {
        SubType = subType;
    }

    public Float getIn() {
        return In;
    }

    public void setIn(Float in) {
        In = in;
    }

    public Float getOut() {
        return Out;
    }

    public void setOut(Float out) {
        Out = out;
    }

    public Float getTimelineIn() {
        return TimelineIn;
    }

    public void setTimelineIn(Float timelineIn) {
        TimelineIn = timelineIn;
    }

    public Float getTimelineOut() {
        return TimelineOut;
    }

    public void setTimelineOut(Float timelineOut) {
        TimelineOut = timelineOut;
    }

    public String getX() {
        return X;
    }

    public void setX(String x) {
        X = x;
    }

    public String getY() {
        return Y;
    }

    public void setY(String y) {
        Y = y;
    }

    public Integer getWidth() {
        return Width;
    }

    public void setWidth(Integer width) {
        Width = width;
    }

    public Integer getHeight() {
        return Height;
    }

    public void setHeight(Integer height) {
        Height = height;
    }

    public Float getFEWidth() {
        return FEWidth;
    }

    public void setFEWidth(Float FEWidth) {
        this.FEWidth = FEWidth;
    }

    public Float getFEHeight() {
        return FEHeight;
    }

    public void setFEHeight(Float FEHeight) {
        this.FEHeight = FEHeight;
    }

    public String getFont() {
        return Font;
    }

    public void setFont(String font) {
        Font = font;
    }

    public com.platform.modules.qk.dto.FontFace getFontFace() {
        return FontFace;
    }

    public void setFontFace(com.platform.modules.qk.dto.FontFace fontFace) {
        FontFace = fontFace;
    }

    public String getFontColor() {
        return FontColor;
    }

    public void setFontColor(String fontColor) {
        FontColor = fontColor;
    }

    public Integer getFontSize() {
        return FontSize;
    }

    public void setFontSize(Integer fontSize) {
        FontSize = fontSize;
    }

    public Float getFontColorOpacity() {
        return FontColorOpacity;
    }

    public void setFontColorOpacity(Float fontColorOpacity) {
        FontColorOpacity = fontColorOpacity;
    }

    public String getContent() {
        return Content;
    }

    public void setContent(String content) {
        Content = content;
    }
}
